package com.shkj.wms.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.shkj.common.core.domain.Result;
import com.shkj.common.core.domain.entity.BaseConsignor;
import com.shkj.wms.bo.BaseBarcodesInQueryBo;
import com.shkj.wms.bo.BaseBarcodesOutQueryBo;
import com.shkj.wms.bo.BaseGoodsAddBo;
import com.shkj.wms.bo.BaseGoodsEditBo;
import com.shkj.wms.domain.BaseDerive;
import com.shkj.wms.domain.BaseGoodsData;
import com.shkj.wms.vo.BaseBarcodesOutVo;

import java.util.List;

/**
 * 产品信息Service接口
 *
 * @author zjx
 * @date 2023-04-06
 */
public interface IBaseGoodsDataService extends IService<BaseGoodsData> {

    /**
     *新增产品信息
     */

    String insertByAddBo(BaseGoodsAddBo bo);

    /**
     *修改产品信息
     */
    Result<Boolean> updateByEditBo(BaseGoodsEditBo bo);

    /**
     *修改产品信息
     */
    BaseGoodsData getBaseGoodsByBarcodes(String goodNo);



    /**
     * 获取所有颜色数据
     *
     * @param
     * @return 结果
     */
    List<String> getBumperColor() ;

    /**
     * 获取所有车型数据
     *
     * @param
     * @return 结果
     */
    List<String> getBumperVehicheModel();

    /**
     * 获取所有派生数据
     *
     * @param
     * @return 结果
     */
    List<String> getBumperDerive();

    /**
     * 得到Pqm货主
     *
     * @return {@link Result}<{@link BaseConsignor}>
     */
    Result<BaseConsignor> getErpConsignorId();
    /**
     * 获取位置代码 QHFR
     */
    public List<String> getBumperLocationCode();

    /**
     * 根据车型,颜色,前后保险杠,冲孔,分体,位置查询信息
     */

    List<BaseGoodsData> getbaseGooddata(BaseGoodsData goodsData);
    List<BaseGoodsData> getBaseGoodDataInByDerice(BaseDerive baseDerive);

    List<BaseGoodsData> getBaseGoodDatarear (BaseDerive baseDerive);

}
